---
version: 112
---

@import 'variables';
@import 'utilities';
@import 'landing';
@import 'normalize';
@import 'mixins';
@import 'base';
@import 'tables';
@import 'breadcrumbs';
@import 'sidebar';
@import 'typography';

body {
  overflow-x: hidden;
  >.wrapper {
    min-height: 100vh;
    @media(max-width: $bp-md) {
      flex-direction: column-reverse;
      background-color: $white;
    }
  }
}

h1 {
  .anchor {
    display: none;
  }
}

.main {
  padding: 0 1rem;
  z-index: 1;

  img {
    border: 1px solid $gds-gray-200;
    border-radius: 0.5rem;
    padding: 0.25rem;
  }

  &:not(.has-toc) {
    >.doc-nav {
      display: none;
    }
  }
  .edit-on {
    text-align: center;
    border-top: 1px solid $hr-border-color;
    padding-top: 20px;
    margin-top: 15px;
    a {
      color: $h1-border-bottom;
      &::before {
        content: '\f126';
        font-family: FontAwesome;
        font-size: 0.875rem;
        font-style: normal;
        font-weight: normal;
        padding-right: 5px;
        line-height: 10px;
      }
      &:hover {
        color: $color-tanuki-dark;
      }
    }
  }
  @media (max-width: $bp-md) {
    &.active {
      background-color: $bg-overlay-color;
      overflow: hidden;
      position: fixed;
    }
  }
}

ul,
ol {
  padding-left: 1.5em;
}

.nav-wrapper {
  background-color: $gds-white;
  display: flex;
  flex-direction: column;
  position: fixed;
  width: 50px;
  height: calc(100% - 46px);
  transition: all 0.3s;
  border-right: 1px solid $gds-gray-200;
  z-index: 2;
  &.active {
    width: $sidebar-width;
    .nav-toggle {
      .arrow {
        left: 19px;
        transform: rotate(0);
        &:nth-child(2) {
          left: 25px;
        }
      }
      .label {
        display: block;
        pointer-events: none;
        font-size: 0.875rem;
        color: $gds-gray-700;
        margin-left: 30px;
        flex-shrink: 0;
      }
    }
    .global-nav {
      visibility: visible;
    }
  }
  .nav-toggle {
    width: 100%;
    height: 50px;
    flex-shrink: 0;
    border-radius: 0;
    &:hover {
      background-color: $gds-gray-200;
    }
    &:focus {
      box-shadow: none;
    }
    .label {
      display: none;
    }
    .arrow,
    .arrow::before,
    .arrow::after {
      cursor: pointer;
      pointer-events: none;
      border-radius: 1px;
      height: 2px;
      width: 9px;
      background: $gds-gray-700;
      position: absolute;
      display: block;
      content: '';
    }
    .arrow {
      transform: rotate(180deg);
      background-color: transparent;
      &:nth-child(2) {
        left: 19px;
      }
    }
    .arrow::before {
      top: 0;
      transform: rotate(45deg) translateY(4px);
    }
    .arrow::after {
      top: 0;
      bottom: -7px;
      transform: rotate(-45deg) translateY(-4px);
    }
  }
  @media(max-width: $bp-lg) {
    width: 0;

    .nav-toggle {
      display: none;
    }

    &.active {
      width: $sidebar-mobile-width;

      .nav-toggle {
        display: block;
      }
    }
  }
}

// Override bootstrap's alert color
.alert {
  color: inherit;
  border: 0;
  border-radius: 0;
  opacity: 0.9;
  code {
    background-color: $alert-code-background-color;
    word-break: break-word;
    color: $code-color;
  }
  i {
    padding-right: 10px;
  }
}

// Pajamas alerts
// https://gitlab-org.gitlab.io/gitlab-design/hosted/design-gitlab-specs/alerts-spec-previews/
.alert-info {
  background-color: $alert-info-bg;
  color: $alert-info-txt;
  border: solid 1px $alert-info-border;
  border-radius: 5px;
}

.alert-warning {
  background-color: $alert-warning-bg;
  color: $alert-warning-txt;
  border: solid 1px $alert-warning-border;
  border-radius: 5px;
}

.alert-success {
  background-color: $alert-success-bg;
  color: $alert-success-txt;
  border: solid 1px $alert-success-border;
  border-radius: 5px;
}

.alert-danger {
  background-color: $alert-danger-bg;
  color: $alert-danger-txt;
  border: solid 1px $alert-danger-border;
  border-radius: 5px;
}

.alert-gray {
  background-color: $alert-gray-bg;
  color: $alert-gray-txt;
  border: solid 1px $alert-gray-border;
  border-radius: 5px;
}

// End of Pajamas alerts
// Start of banner alert box
// https://about.gitlab.com/handbook/markdown-guide/#gitlab-webcast-alert-box
.alert-banner {
  background-color: $help-indigo-50;
  border-color: rgba($help-indigo-50, 0.3);
  margin-top: 20px;
  i {
    margin-left: 10px;
    margin-right: 10px;
  }
}

// Main header CSS
.navbar {
  min-height: $header-height;
  background-color: $header-background-color;

  .navbar-brand {
    font-size: 1.15rem;

    strong {
      line-height: 20px;
      font-size: 1rem;
    }
  }

  .btn {
    line-height: 1rem;
    font-size: 0.875rem;
  }

  .navbar-nav {
    margin-top: 0;

    .dropdown-menu {
      a {
        border-bottom: 0;

        &:hover {
          border-bottom: 0;
        }
      }
    }
  }

  .nav-item {
    margin-bottom: 0;
  }

  .nav-link {
    color: $gds-indigo-100;
  }

  .form-inline {
    .fa-search {
      z-index: 1;
    }

    .algolia-autocomplete {
      @media all and (max-width: $bp-lg) {
        width: 100%;
        margin: 0 2.5rem 0 0.5rem;
      }
    }

    .docsearch {
      font-size: 1rem;
      height: 2rem;
      min-width: 20rem;
      text-indent: 1.25rem;
      padding: 0 1rem;

      @media all and (max-width: $bp-sm) {
        min-width: 100%;
      }
    }
  }

  .dropdown-toggle {
    background-color: $help-indigo-500;
  }

  @media all and (max-width: $bp-md) {
    .btn {
      width: 100%;
    }
  }
}

//badges
.badges-drop {
  display: inline-block;
  cursor: pointer;
  transition: background-color 0.5s ease-in-out;
  /* stylelint-disable declaration-no-important */
  border-bottom: 0 !important;
  /* stylelint-enable declaration-no-important */

  &:hover {
    border-bottom: 0;
  }

  .badge-tier,
  .badge-self-managed,
  .badge-saas {
    &::after {
      content: '';
      display: block;
      width: 0;
      height: 1px;
      transition: width 0.3s;
      opacity: 0.5;
    }
  }

  .badge-tier {
    &::after {
      background: $badge-tier;
    }
  }

  .badge-self-managed {
    &::after {
      background: $badge-self-managed;
    }
  }

  .badge-saas {
    &::after {
      background: $badge-saas;
    }
  }
  &:hover {
    .badge-tier,
    .badge-self-managed,
    .badge-saas {
      &::after {
        width: 100%;
      }
    }
  }
}

.badge-tier {
  color: $badge-tier;
}

.badge-self-managed {
  color: $badge-self-managed;
  padding-left: 5px;
}

.badge-saas {
  color: $badge-saas;
  padding-left: 5px;
}

.badge-small {
  color: $badge-self-managed;
  opacity: 0.6;
  transition: opacity 0.3s;
  &:hover {
    opacity: 1;
    &::after {
      content: attr(data-title);
      text-transform: uppercase;
      font-weight: 700;
      font-size: 0.7em;
      display: inline;
      position: absolute;
      padding: 1px 5px;
      opacity: 1;
      background-color: $white;
      white-space: nowrap;
      border-radius: 2px;
      max-width: 150px;
    }
  }
}

.badge-display {
  text-transform: uppercase;
  text-align: center;
  display: inline-block;
  margin-left: 2px;
  border-radius: 2px;
  font-size: 0.75rem;
  font-weight: 700;
  letter-spacing: 0.02em;
  line-height: 1.4;
}

//
// Algolia search override
// https://community.algolia.com/docsearch/styling.html
.algolia-autocomplete {
  // Scrollable search results box
  // https://gitlab.com/gitlab-org/gitlab-docs/issues/362
  .ds-dropdown-menu [class^=ds-dataset-] {
    max-height: 85vh;
    overflow-x: hidden;
  }
}
// Algolia search override end

//in-page styles
.youtube {
  color: $youtube;
}

.mermaid {
  overflow: auto;
}

.banner {
  z-index: 5;
  line-height: 2;
  top: $page-header-height;
  height: $banner-height;
  background: $gds-gray-50;
  border-bottom: 1px solid $gds-gray-200;
}

.gl-icon {
  @each $size in $gl-icon-sizes {
    &.s#{$size} {
      width: #{$size}px;
      height: #{$size}px;
      vertical-align: text-bottom;
    }
  }
}

.btn-cta {
  background-color: $header-free-trial-button-color;
}

h2[id]::before,
h3[id]::before,
h4[id]::before,
h5[id]::before,
h6[id]::before {
  display: block;
  content: ' ';
  margin-top: -4.688rem;
  height: 4.688rem;
  visibility: hidden;
}

// Embedded video
.video-container {
  width: 35rem;
  height: 19.688rem;
  position: relative;
  padding-top: 0;
  margin: 1.25rem 0;
  box-shadow: 0.313rem 0.313rem 0.625rem $gds-gray-300;
  iframe,
  video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}

// Embedded video fallback for GitLab's /help
.video-fallback {
  display: none;
}

.text-expander {
  background: url('/assets/images/ellipsis_h.svg') center center / 12px no-repeat;
  vertical-align: middle;
  border: 1px solid $gray-100;
  border-radius: 4px;
  margin-left: 8px;
  margin-bottom: 2px;
  width: 22px;
  height: 1rem;
  &:hover {
    background-color: $gray-200;
  }
}

// external link and footer social links
[href^='http://'],
[href^='https://'] {
  &:not([href*='gitlab.com']):not(.gitlab-social) {
    &::after {
      content: '\f08e';
      font-family: FontAwesome, sans-serif;
      font-size: 1rem;
      font-style: normal;
      font-weight: normal;
      padding-left: 5px;
      line-height: 10px;
    }
  }
}
